document.addEventListener('DOMContentLoaded', () => {
  const card = document.querySelector('.card');
  const loveButton = document.querySelector('.love-button');
  const floatingHearts = document.querySelector('.floating-hearts');
  
  // Card flip functionality
  card.addEventListener('click', () => {
    card.classList.toggle('opened');
  });
  
  // Create floating hearts
  function createHeart() {
    const heart = document.createElement('div');
    heart.innerHTML = '❤️';
    heart.style.position = 'absolute';
    heart.style.fontSize = Math.random() * 20 + 10 + 'px';
    heart.style.left = Math.random() * 100 + '%';
    heart.style.opacity = '1';
    heart.style.transition = 'all 2s ease';
    
    floatingHearts.appendChild(heart);
    
    // Animate heart
    setTimeout(() => {
      heart.style.transform = `translateY(-${Math.random() * 200 + 100}px)`;
      heart.style.opacity = '0';
    }, 50);
    
    // Remove heart from DOM
    setTimeout(() => {
      floatingHearts.removeChild(heart);
    }, 2000);
  }
  
  // Love button click handler
  loveButton.addEventListener('click', (e) => {
    e.stopPropagation(); // Prevent card flip
    for(let i = 0; i < 10; i++) {
      setTimeout(createHeart, i * 100);
    }
  });
  
  // Add initial animation delay
  document.querySelectorAll('.message').forEach((msg, index) => {
    msg.style.animationDelay = `${index * 0.5}s`;
  });
});
